fields:
  seoOptions:
    label: Seo Options
    type: headline
  metaTitle:
    label: Meta Title
    type: text
    translate: true
    width: 1/1
    help: Leave blank to use page title
  metaDescription:
    label: Meta Description
    type: text
    width: 1/1

  ogHeadline:
    label: Open Graph (Facebook)
    type: headline
    numbered: false
  ogTitle:
    label: OG Title
    help: The title of your object as it should appear within the graph. Will use *page title* as fallback.
    type: text
  ogDescription:
    label: OG Description
    help: A one to two sentence description of your object. Will use *page description* and *site description* as fallbacks.
    type: text
  ogImage:
    label: OG Image (1200x630)
    help: An image which should represent your object within the graph. Will be cropped automatically. Will use *site OG image* as fallback.
    type: files
    multiple: false
    uploads: seo-image
  ogSiteName:
    label: OG Site Name
    help: If your object is part of a larger web site, the name which should be displayed for the overall site. Will use *site title* as fallback.
    type: text
    width: 1/2
  oUrl:
    label: OG URL
    help: The canonical URL of your object that will be used as its permanent ID in the graph.
    type: url
    width: 1/2
  ogAudio:
    label: OG Audio
    help: The URL of an audio file to accompany this object.
    type: url
    width: 1/2
  ogVideo:
    label: OG Video
    help: The URL of a video file that complements this object.
    type: url
    width: 1/2
  ogDeterminer:
    label: OG Determiner
    help: The word that appears before this object's title in a sentence. An enum of (a, an, the, "", auto). If auto is chosen, the consumer of your data should chose between "a" or "an". Default is "auto".
    type: text
    width: 1/2
  ogType:
    label: OG Type
    help: The type of your object, e.g., "video.movie". Depending on the type you specify, other properties may also be required.
    type: select
    default: website
    options:
      website: Website
      article: Article
  ogTypeArticlePublishedTime:
    label: OG Article Published Time
    type: date
    time: true
    default: now
    width: 1/3
    when:
      ogType: article
  ogTypeArticleModifiedTime:
    label: OG Article Modified Time
    type: date
    time: true
    default: now
    width: 1/3
    when:
      ogType: article
  ogTypeArticleExpirationTime:
    label: OG Article Expiration Time
    type: date
    time: true
    default: now
    width: 1/3
    when:
      ogType: article
  ogTypeArticleAuthor:
    label: OG Article Author/s
    type: structure
    fields:
      url:
        label: URL
        type: url
        required: true
      firstname:
        label: First Name
        type: text
        width: 1/2
      lastname:
        label: Last Name
        type: text
        width: 1/2
      username:
        label: Username
        type: text
        width: 1/2
      gender:
        label: Gender
        type: select
        options:
          male: Male
          female: Female
          other: Other
        width: 1/2
    when:
      ogType: article
  ogTypeArticleSection:
    label: OG Article Section
    help: A high-level section name. E.g. Technology
    type: text
    width: 1/2
    when:
      ogType: article
  ogTypeArticleTag:
    label: OG Article Tags
    help: Tag words associated with this article
    type: tags
    width: 1/2
    when:
      ogType: article


  twitterHeadline:
    label: Twitter Card
    type: headline
    numbered: false
  twitterTitle:
    label: Twitter Title
    type: text
    maxlength: 70
    help: The title of your page as it should appear on Twitter. Will use *page title* as fallback.
  twitterDescription:
    label: Twitter Description
    type: text
    maxlength: 300
    help: A one to two sentence description of your page. Will use *page description* and *site description* as fallbacks.
  twitterImage:
    label: Twitter Image (1200x675)
    help: Will be cropped automatically.
    type: files
    uploads: seo-image
    multiple: false
    width: 1/2
  twitterCardType:
    label: Card Type
    width: 1/2
    type: select
    options:
      summaryLargeImage: Summary Card with Large Image
      summary: Summary Card
    help: The card layout Twitter uses for links to this page.
  twitterSite:
    label: @username of website
    type: text
    width: 1/2
  twitterCreator:
    label: @username of content creator
    type: text
    width: 1/2
